Bug 834074 - [RFE] Disable replication agreements
Summary: [RFE] Disable replication agreements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
: 466144 (view as bug list)
Depends On:
Blocks: 782183 840699
TreeView+ depends on / blocked
 
Reported: 2012-06-20 18:32 UTC by Nathan Kinder
Modified: 2018-12-01 19:06 UTC (History)
8 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-7.el6
Doc Type: Enhancement
Doc Text:
Feature: Replication Reason: There is a need to temporarily disable replication agmts Result (if any): Once disabled, the agmt essentially appears to be removed, but can be easily re-enabled, and replication resumes.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:19:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-06-20 18:32:01 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/216

https://bugzilla.redhat.com/show_bug.cgi?id=466144

Added a new attribute to the replication agreement: nsds5ReplicaEnabled (on|off)

Comment 1 Nathan Kinder 2012-06-21 14:54:25 UTC
*** Bug 466144 has been marked as a duplicate of this bug. ***

Comment 2 RHEL Product and Program Management 2012-07-10 07:09:59 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 RHEL Product and Program Management 2012-07-10 23:02:35 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 5 Amita Sharma 2012-11-19 06:01:52 UTC
Automated test cases in fourwaymmr and are passing.
mmrepl fourwaymmr run 100% (21/21).
Hence marking bug as VERIFIED.
ON rhel64.

Comment 6 Nathan Kinder 2012-11-29 17:30:31 UTC
Re-opening, as Sankar has found that the new nsds5ReplicaEnabled attribute is not allowed for Winsync agreements due to an objectclass violation.

Comment 9 Sankar Ramalingam 2013-01-21 07:39:14 UTC
[root@intel-piketon-01 ~]# PORT=1189; /usr/bin/ldapmodify -x -p $PORT -h localhost -D "cn=Directory Manager" -w Secret123 << EOF
dn: cn=WinPassSync,cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config
changetype: modify
replace: nsds5replicaenabled
nsds5replicaenabled: off
EOF
modifying entry "cn=WinPassSync,cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config"

[root@intel-piketon-01 ~]# PORT=1189 ; ldapsearch -p $PORT -h localhost -D "cn=Directory Manager" -w Secret123 -b "cn=WinPassSync,cn=replica,cn=dc\3Dpasssync\2Cdc\3Dcom,cn=mapping tree,cn=config" |grep -i "nsds5ReplicaEnabled:"
nsds5ReplicaEnabled: off
[root@intel-piketon-01 ~]# service dirsrv restart M1
Shutting down dirsrv: 
    M1...[  OK  ]
Starting dirsrv: 
    M1...[  OK  ]


PORT=1189; /usr/bin/ldapmodify -x -p $PORT -h localhost -D "cn=Directory Manager" -w Secret123 << EOFdn: cn=WinPassSync,cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config
changetype: modify
replace: nsds5replicaenabled
nsds5replicaenabled: on
EOF

modifying entry "cn=WinPassSync,cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config"

[root@intel-piketon-01 ~]# PORT=1189 ; ldapsearch -p $PORT -h localhost -D "cn=Directory Manager" -w Secret123 -b "cn=WinPassSync,cn=replica,cn=dc\3Dpasssync\2Cdc\3Dcom,cn=mapping tree,cn=config" |grep -i "nsds5ReplicaEnabled:"
nsds5ReplicaEnabled: on

-------------------------------------------

Marking the bug as Verified since the attribute nsds5ReplicaEnabled can be set to On/Off for winsync replication agreements.

Comment 10 errata-xmlrpc 2013-02-21 08:19:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.